Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.internal
Class ArrayListWrapper

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<Object>
              org.apache.commons.jexl2.internal.ArrayListWrapper

All Implemented Interfaces:
  Iterable<Object>, Collection<Object>, List<Object>

    public class ArrayListWrapper

extends AbstractList<Object>

A class that wraps an array with a List interface.

Version:
  $Revision$ $Date: 2006-04-14 19:40:41 $
Author:
  Chris Schultz <chris@christopherschultz.net$gt;

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ArrayListWrapper(Object anArray)` Create the wrapper.

Method Summary
`Object` | `get(int index)`
`Object` | `set(int index, Object element)`
`int` | `size()`

Methods inherited from class java.util.AbstractList
`add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### ArrayListWrapper

    public ArrayListWrapper(Object anArray)

  Create the wrapper.

  Parameters:
    `anArray` - `array`

Method Detail

### get

    public Object get(int index)

  Specified by:
    `get` in interface `List<Object>`
  Specified by:
    `get` in class `AbstractList<Object>`

### set

    public Object set(int index,
                      Object element)

  Specified by:
    `set` in interface `List<Object>`
  Overrides:
    `set` in class `AbstractList<Object>`

### size

    public int size()

  Specified by:
    `size` in interface `Collection<Object>`
  Specified by:
    `size` in interface `List<Object>`
  Specified by:
    `size` in class `AbstractCollection<Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.